Subject: bug#17409: 24.3; c-mode customisation

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 23 Jan 2021 22:59:06 +0100

Chris Moller <[email-masked]> writes:

> c-mode customisations I've been using for decades no longer work. In
>
> particular, nothing I do in ~/.emacs will set c-cleanup-list to my
>
> preferences, including space-before-funcall.

(I'm going through old bug reports that unfortunately got no response at
the time.)

I put the following into ~/.emacs and started Emacs:

(setq c-cleanup-list '(space-before-funcall))

c-cleanup-list was indeed set in an arbitrary C file, so I'm unable to
reproduce this problem in Emacs 28.  Are you still seeing it in recent
Emacs versions?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no